# Interface methods for submodule: ListSample
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate



# Interface methods for class: ListSample
class ListSampleProxy():
	def GetNameOfClass(self):
		""""""
		...

	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def Resize(self, newsize: int) -> None:
		""""""
		...

	def Clear(self) -> None:
		""""""
		...

	def PushBack(self, mv: Sequence[float]) -> None:
		""""""
		...

	def Size(self) -> int:
		""""""
		...

	def GetMeasurementVector(self, instanceId: int) -> Sequence[float]:
		""""""
		...

	def SetMeasurement(self, instanceId: int, dim: int, value: float) -> None:
		""""""
		...

	def SetMeasurementVector(self, instanceId: int, mv: Sequence[float]) -> None:
		""""""
		...

	def GetFrequency(self, instanceId: int) -> int:
		""""""
		...

	def GetTotalFrequency(self) -> int:
		""""""
		...

	def Graft(self, thatObject) -> None:
		""""""
		...

